#!/bin/bash

# 配置内核模块安装和启用
KERNEL_VERSION=$(uname -r)


KERNEL_MODULE_DIR="/lib/modules/$KERNEL_VERSION/updates"
MODULE_PATH="$KERNEL_MODULE_DIR/ky_dlp.ko"

# ko is not exist
if [[ ! -e $KERNEL_MODULE_DIR/ky_dlp.ko ]]; then
    cp /opt/kydlp-control/modules/ky_dlp.ko "$KERNEL_MODULE_DIR"
    chmod +x "$MODULE_PATH"
    kysec_set -n exectl -v verified "$MODULE_PATH"
    depmod -a
    insmod "$MODULE_PATH"
fi
# kysec 设置授权
kysec_set -n exectl -v verified "$MODULE_PATH"

# ko is not loaded
KERNEL_LOADED=$(lsmod |grep ky_dlp)
if [[ -z $KERNEL_LOADED ]];then
    insmod "$MODULE_PATH"
fi
